Webhooks
ElevenLabs tool: check human agent availability
Server tool webhook called by the ElevenLabs voice agent mid-call to check whether any human agents in the organization are currently online and chat-available. Authenticated via Bearer token (per-org elevenlabsToolSecret).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Common shape ElevenLabs uses to invoke a server tool mid-call. called_id/called_number lets the handler resolve the user inside the calling org.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/webhook/elevenlabs/tools/check-availability" \ -H "Content-Type: application/json" \ -d '{ "conversation_id": "conv_8f3d1b9c2e7a4f0b9a4d2c1e6e2f8c01", "agent_id": "agent_a8d3c4e09b2f4e1ab3c45f6a7b8c9d01", "caller_id": "+14165550100", "called_id": "+12362320246", "called_number": "+12362320246" }'{ "agents_available": true, "available_count": 2, "online_count": 4}